HTML在线编辑器控件用不了

远方 2009-08-25 05:43:43

http://mxgjedu.com/images/editor.txt 点开后浏览器 查看--->源文件 即可看到代码

错误提示 editor.txt 595 行缺少对象

我以前用的好好的 现在不行了 我用的是 IE 最新版本的 浏览器 还有TT 均出现以上错误?

我套用的是动网的 后台程序系统
...全文
491 点赞 收藏 12
写回复
12 条回复
切换为时间正序
请发表友善的回复…
发表回复
lsr84 2009-10-10
[Quote=引用 6 楼 mailbao 的回复:]
修改你引用編輯器包含文件editor.js裏的一個函數
----------------------------------------

不知你用的是不是eWebEditor?修改處在//注釋的那句.如果是別的編輯器,也那一樣的道理,找其相對應的js文件進行修改即可!

JScript code// Toolbar button onmouseup handlerfunction BtnMouseUp() {if (event.srcElement.tagName!="IMG") {
event.cancelBubble=true;returnfalse;
}var image= event.srcElement;var element= image.parentElement;//if (element.YUSERONCLICK) eval(element.YUSERONCLICK + "anonymous()");if(navigator.appVersion.match(/8./i)=='8.')
{if (element.YUSERONCLICK) eval(element.YUSERONCLICK+"onclick(event)");
}else

{if (element.YUSERONCLICK) eval(element.YUSERONCLICK+"anonymous()");
}
element.className="BtnMouseOverUp";
image.className="Ico";

event.cancelBubble=true;returnfalse;
}
[/Quote]


我也遇到同样的问题了,按照这个代码换了就可以了,非常感谢!!
回复
snlixing 2009-09-07
换成FCKeditor
回复
远方 2009-09-07
哪为大哥 帮忙 还是不行啊?
回复
lichong876140 2009-08-31
加上判断,分别在IE7、IE8下执行不同的代码就可以了。
IE8屏蔽了一些方法的使用
回复
kingfangdeng 2009-08-28
IE确实 有不兼容,在网上可以找到在一个JS文件中加一段判断IE8的代码就可以了.
回复
mailbao 2009-08-28
修改你引用編輯器包含文件editor.js裏的一個函數
----------------------------------------

不知你用的是不是eWebEditor?修改處在//注釋的那句.如果是別的編輯器,也那一樣的道理,找其相對應的js文件進行修改即可!


// Toolbar button onmouseup handler
function BtnMouseUp() {
if (event.srcElement.tagName != "IMG") {
event.cancelBubble = true;
return false;
}

var image = event.srcElement;
var element = image.parentElement;

//if (element.YUSERONCLICK) eval(element.YUSERONCLICK + "anonymous()");
if(navigator.appVersion.match(/8./i)=='8.')
{
if (element.YUSERONCLICK) eval(element.YUSERONCLICK + "onclick(event)");
}
else

{
if (element.YUSERONCLICK) eval(element.YUSERONCLICK + "anonymous()");
}
element.className = "BtnMouseOverUp";
image.className = "Ico";

event.cancelBubble = true;
return false;
}

回复
远方 2009-08-28
[Quote=引用 4 楼 cosler 的回复:]
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
直接放有被包含的CONN.asp文件里
[/Quote]
我直接放到这里 editor.asp 因为只有这里有HTML编辑器

可还是不行?
那为大侠 帮忙啊 在线等!
回复
黑心 2009-08-27
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
直接放有被包含的CONN.asp文件里
回复
远方 2009-08-27
[Quote=引用 2 楼 chinabh 的回复:]
IE8确实很烦人,解决IE8下兼容以前IE版本的简单方法:
http://www.bhcode.net/article/20090531/4573.html
[/Quote]

那上面有2段代码 分别怎么用 因为我要设计的页面很多
回复
chinabh 2009-08-26
IE8确实很烦人,解决IE8下兼容以前IE版本的简单方法:
http://www.bhcode.net/article/20090531/4573.html
回复
tidelgl 2009-08-26
使用了IE独有的内置方法,所以升级到IE8后失效了,只能升级你的在线编辑器,或者自己修改源码吧..
回复
发动态
发帖子
ASP
创建于2007-09-28

2.8w+

社区成员

ASP即Active Server Pages,是Microsoft公司开发的服务器端脚本环境。
申请成为版主
社区公告
暂无公告